|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QExtensionFactory Class Reference
[QtDesigner module]

The QExtensionFactory class provides a standard extension factory for Qt Designer. More...

    #include <QExtensionFactory>

Inherits QObject and QAbstractExtensionFactory.

- List of all members, including inherited members

### Public Functions

- QExtensionFactory ( QExtensionManager * parent = 0 )
- virtual QObject * extension ( QObject * object, const QString & iid ) const
- QExtensionManager * extensionManager () const

- 28 public functions inherited from QObject
- 1 public function inherited from QAbstractExtensionFactory

### Protected Functions

- virtual QObject * createExtension ( QObject * object, const QString & iid, QObject * parent ) const

- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject

## Detailed Description

The QExtensionFactory class provides a standard extension factory for Qt Designer.

See also QExtensionManager and QAbstractExtensionFactory.

## Member Function Documentation

### QExtensionFactory::QExtensionFactory ( QExtensionManager * parent = 0 )

Constructs an extension factory with the given parent.

### QObject * QExtensionFactory::createExtension ( QObject * object, const QString & iid, QObject * parent ) const `[virtual protected]`

Returns an extension specified by iid for the given object. The extension object is created as a child of the specified parent.

See also extension().

### QObject * QExtensionFactory::extension ( QObject * object, const QString & iid ) const `[virtual]`

Returns the extension specified by iid for the given object.

Reimplemented from QAbstractExtensionFactory.

See also createExtension().

### QExtensionManager * QExtensionFactory::extensionManager () const

Returns the extension manager for the extension factory.